#
# spec file for package speedcrunch
#
# Copyright (c) 2014 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           speedcrunch
Version:        0.11
Release:        8.2
Summary:        Calculator with history display, keyboard-oriented
License:        GPL-2.0+
Group:          Productivity/Scientific/Math
Url:            http://www.speedcrunch.org/
# https://github.com/speedcrunch/SpeedCrunch/archive/0.11.tar.gz
Source0:        %{name}-%{version}.tar.gz
BuildRequires:  cmake
BuildRequires:  kde4-filesystem
BuildRequires:  libqt4-devel
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
A keyboard-oriented desktop scientific calculator which shows results in a
scrollable display.

%prep
%setup -q -n SpeedCrunch-%{version}

%build
%cmake_kde4 -d src/build
%make_jobs

%install
%kde4_makeinstall -C src/build

%files
%defattr(-,root,root,-)
%doc README.md doc/speedcrunch-manual.odt pkg/COPYING.rtf
%{_bindir}/speedcrunch
%{_datadir}/pixmaps/speedcrunch.png
%{_datadir}/applications/speedcrunch.desktop

%changelog
* Mon Feb  3 2014 asterios.dramis@gmail.com
- Update to 0.11:
  Major changes:
  * Syntax highlighting on the result display, predefined color schemes,
    instant function usage help, digit grouping (thanks, Tey), new languages,
    a slightly redesigned formula book with new sections, lots of visual perks,
    and a new icon. You can now include comments in the expression - everything
    after a question mark (?) will be ignored and highlighted differently.
    Finally, both comma and dot are now accepted as radix characters.
  * The virtual keypad is gone.
- Removed unneeded build requirements: dos2unix, fdupes, freetype2-devel,
  libpng-devel and update-desktop-files.
* Tue Nov 20 2012 nico.kruber@gmail.com
- Fix the SLES build (%%make_install is not expanded on SLES)
* Sun Aug  7 2011 toddrme2178@gmail.com
- Eliminated check for obsolete openSUSE version
- Removed contents of %%changes section of spec file.
  They are already in the .changes file
- Switched some hard-coded paths to macros
- Added check for duplicate files
* Mon Jun 16 2008 stbinner@suse.de
- update to 0.10.1:
  * several bugfixes, better internationalization
  * Better handling of math book translations with language codes
    that contain the country component and now correct behaviour
    defaulting to English when the system language (selected option)
    is not supported
* Thu Apr  3 2008 dmueller@suse.de
- update to 0.10:
  * see http://speedcrunch.googlecode.com/svn/tags/0.10/ChangeLog
* Wed Nov 21 2007 stbinner@suse.de
- update to 0.9:
  * greatly extended number range
  * factorials extended to real values
  * stay always-on-top (#106)
  * New functions: ARSINH, ARCOSH and ARTANH
  * Several other improvements and bug fixes
* Thu Jul 26 2007 stbinner@suse.de
- update to 0.8:
  * support for different bases: hex, octal and binary
  * postfix factorial operator (!)
  * support inserting important physics constants
  * history, functions, variables, constants in docked/floated windows
  * added engineering notation
  * added unmutable variable "phi" (golden number = 1.61803398874...)
  * option to hide from taskbar and minimize to system tray
  * support for right-to-left languages (not perfect, but very close)
  * added several new functions: MIN, MAX, SUM, PRODUCT, AVERAGE, ...
* Sun Apr 22 2007 stbinner@suse.de
- update to 0.7: Qt4 version, added keypad, bugfixes/new translations
* Fri May 12 2006 stbinner@suse.de
- Initial package
